Commits

Lee Pak Hong  committed adc2201

Update xulrunner to 15.0.1

Signed-off-by: Lee Pak Hong <benreilly@vector.Linux.net>

  • Participants
  • Parent commits 8ce8461
  • Branches veclinux-7.0

Comments (0)

Files changed (1)

File var/vabs/xulrunner/src/xulrunner.SlackBuild

-#!/bin/sh
-# $Id: xulrunner.SlackBuild,v 1.17 2011/05/13 11:27:33 root Exp root $
-# Copyright 2009, 2010, 2011  Eric Hameleers, Eindhoven, NL
-# All rights reserved.
+#!/usr/bin/bash
+# This script assumes it will be launched within "/NAME/VERSION/src" dir.
+# With all sources in "src" Your Vector Linux .txz package, slack-desc,
+# and slack-required will be found in "VERSION" dir. The extraction and
+# build will be in a temp dir created in "NAME" dir, and then removed on exit.
+# Comment out second to last line to keep this dir intact.
 #
-#   Permission to use, copy, modify, and distribute this software for
-#   any purpose with or without fee is hereby granted, provided that
-#   the above copyright notice and this permission notice appear in all
-#   copies.
+# This Template was compiled from the contributions of many users of the Vector
+# Linux forum at http://forum.vectorlinux.com and from tidbits collected 
+# from all over the internet. 
 #
-#   THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
-#   WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
-#   MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
-#   IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
-#   CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-#   SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
-#   LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
-#   USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
-#   ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
-#   OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
-#   OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
-#   SUCH DAMAGE.
-# -----------------------------------------------------------------------------
+# Generated by sbbuilder-0.4.14.1, written by Rodrigo Bistolfi 
+# (rbistolfi) and Raimon Grau Cuscó (Kidd) for VectorLinux.
 #
-# Slackware SlackBuild script 
-# ===========================
-# By:         Eric Hameleers <alien@slackware.com>
-# For:        xulrunner
-# Descr:      mozilla runtime package
-# URL:        https://developer.mozilla.org/en/XULRunner
-# Needs:      java (only build-time)
-# Changelog:  
-# 1.9.1.4-1:  12/Nov/2009 by Eric Hameleers <alien@slackware.com>
-#             * Initial build.
-# 1.9.2.9-1:  15/sep/2010 by Eric Hameleers <alien@slackware.com>
-#             * Update.
-# 1.9.2.10-1: 11/oct/2010 by Eric Hameleers <alien@slackware.com>
-#             * Update.
-# 1.9.2.12-1: 07/nov/2010 by Eric Hameleers <alien@slackware.com>
-#             * Update. Use xz compression to reduce package size.
-#               Add xpcom. Provide more pkg-config symlinks, I want to be able
-#               to remove seamonkey entirely.
-# 1.9.2.17-1: 13/may/2011 by Eric Hameleers <alien@slackware.com>
-#             * Update.
-# 
-# Run 'sh xulrunner.SlackBuild' to build a Slackware package.
-# The package (.txz) and .txt file as well as build logs are created in /tmp .
-# Install it using 'installpkg'. 
-#
-# -----------------------------------------------------------------------------
+# Please put your name below if you add some original scripting lines.
+# AUTHORS = 
+
+NAME="xulrunner"            #Enter package Name!
+VERSION=${VERSION:-"15.0.1"}      #Enter package Version!
+VER=$(echo $VERSION|sed 's/-/_/') #this fixes - in version
+VL_PACKAGER=${VL_PACKAGER:-"hata_ph"}   #Enter your Name!
+LINK=${LINK:-"https://ftp.mozilla.org/pub/mozilla.org/mozilla.org/$NAME/releases/$VERSION/source/$NAME-$VERSION.source.tar.bz2"}  #Enter URL for package here!
 
-# Set initial variables:
 
-NAME=xulrunner
-VERSION=${VERSION:-"13.0"}
+#SYSTEM VARIABLES
+#----------------------------------------------------------------------------
 BUILDNUM=${BUILDNUM:-"1"}
 VL_VERSION=${VL_VERSION:-"$(ls /var/log/packages/|grep vlconfig2|cut -d "-" -f4|cut -c 2-5)"}
 BUILD=${BUILD:-"$BUILDNUM""$VL_VERSION"}
 LDFLAG_OPTIONS=${LDFLAG_OPTIONS:-""}
 ADDRB=${ADDRB:-""} #Add deps that need to be added to the slack-required file here
 EXRB=${EXRB:-""} #Add deps that need to be excluded from the slack-required file here
-MAKEDEPENDS=${MAKEDEPENDS:-""}
-
-DOCS="LEGAL LICENSE README.txt"
-SRCVER=$(echo $VERSION | cut -d. -f1-3)
-# Where do we look for sources?
-SRCDIR=$(cd $(dirname $0); pwd)
-PRGNAM=$NAME
-# Place to build (TMP) package (PKG) and output (OUTPUT) the program:
-TMP=${TMP:-/tmp/build}
-PKG=$TMP/package-$PRGNAM
-OUTPUT=${OUTPUT:-"$CWD/.."}
-
-SOURCE="$SRCDIR/${PRGNAM}-${VERSION}.source.tar.bz2"
-SRCURL="http://ftp.mozilla.org/pub/mozilla.org/${NAME}/releases/${VERSION}/source/${NAME}-${VERSION}.source.tar.bz2"
-LINK=$SRCURL
-##
-## --- with a little luck, you won't have to edit below this point --- ##
-##
-if [ "$NORUN" != 1 ]; then
-# Automatically determine the architecture we're building on:
-if [ -z "$ARCH" ]; then
-  case "$( uname -m )" in
-    i?86) export ARCH=i?86 ;;
-    arm*) export ARCH=arm ;;
-    # Unless $ARCH is already set, use uname -m for all other archs:
-       *) export ARCH=$( uname -m ) ;;
-  esac
+MAKEDEPENDS=${MAKEDEPENDS:-"mozilla-nss"} #Add deps needed TO BUILD this package here.
+#----------------------------------------------------------------------------
+
+# DO NOT EXECUTE if NORUN is set to 1
+if [ "$NORUN" != "1" ]; then
+
+#SETUP PACKAGING ENVIRONMENT
+#--------------------------------------------
+CWD=$(pwd)
+cd ../
+RELEASEDIR=$(pwd)
+cd $CWD
+mkdir -p $RELEASEDIR/tmp
+TMP=$RELEASEDIR/tmp
+PKG=$TMP/package-$NAME
+#--------------------------------------------
+
+
+
+if [ $UID != 0 ]; then
+   echo "You are not authorized to run this script. Please login as root"
+   exit 1
+fi
+
+if [ ! -x /usr/bin/requiredbuilder ]; then
+   echo "Requiredbuilder not installed, or not executable."
+   exit 1
+fi
+
+if [ $VL_PACKAGER = "YOURNAME" ]; then
+   echo 'Who are you?
+   Please edit VL_PACKAGER=${VL_PACKAGER:-YOURNAME} in this script.
+   Change the word "YOURNAME" to your VectorLinux packager name.
+   You may also export VL_PACKAGER, or call this script with
+   VL_PACKAGER="YOUR NAME HERE"'
+   exit 1
 fi
 
-case "$ARCH" in
-  i?86)      SLKCFLAGS="-O2 -march=i486 -mtune=i686"
-             SLKLDFLAGS=""; LIBDIRSUFFIX=""
-             ;;
-  x86_64)    SLKCFLAGS="-O2 -fPIC"
-             SLKLDFLAGS="-L/usr/lib64"; LIBDIRSUFFIX="64"
-             ;;
-  *)         SLKCFLAGS="-O2"
-             SLKLDFLAGS=""; LIBDIRSUFFIX=""
-             ;;
-esac
-
-# Exit the script on errors:
-set -e
-trap 'echo "$0 FAILED at line ${LINENO}" | tee $OUTPUT/error-${PRGNAM}.log' ERR
-# Catch unitialized variables:
-set -u
-P1=${1:-1}
-
-# Save old umask and set to 0022:
-_UMASK_=$(umask)
-umask 0022
-
-# Create working directories:
-mkdir -p $OUTPUT          # place for the package to be saved
-mkdir -p $TMP/tmp-$PRGNAM # location to build the source
-mkdir -p $PKG             # place for the package to be built
-rm -rf $PKG/*             # always erase old package's contents
-rm -rf $TMP/tmp-$PRGNAM/* # remove the remnants of previous build
-rm -rf $OUTPUT/{configure,make,install,error,makepkg}-$PRGNAM.log
-                          # remove old log files
-
-# Source file availability:
-if ! [ -f ${SOURCE} ]; then
-  if ! [ "x${SRCURL}" == "x" ]; then
-    # Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
-    [ -w "$SRCDIR" ] || SOURCE="$OUTPUT/$(basename $SOURCE)"
-    echo "Source '$(basename ${SOURCE})' not available yet..."
-    echo "Will download file to $(dirname $SOURCE)"
-    wget -c -T 20 -O "${SOURCE}" "${SRCURL}" || true
-    if [ $? -ne 0 -o ! -s "${SOURCE}" ]; then
-      echo "Downloading '$(basename ${SOURCE})' failed... aborting the build."
-      mv -f "${SOURCE}" "${SOURCE}".FAIL
-      exit 1
-    fi
-  else
-    echo "File '$(basename ${SOURCE})' not available... aborting the build."
-    exit 1
-  fi
+
+#CFLAGS SETUP
+#--------------------------------------------
+if [[ "$ARCH" = i?86 ]]; then
+  ARCH=i586
+  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+  CONFIGURE_TRIPLET="i486-slackware-linux"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fpic"
+  CONFIGURE_TRIPLET="x86_64-slackware-linux"
+  LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "powerpc" ]; then
+  SLKCFLAGS="-O2"
+  CONFIGURE_TRIPLET="powerpc-vlocity-linux"
+  LIBDIRSUFFIX=""
 fi
 
-if [ "$P1" == "--download" ]; then
-  echo "Download complete."
-  exit 0
+export CFLAGS="$SLKCFLAGS $CFLAG_OPTIONS"
+export CXXFLAGS=$CFLAGS
+export LDFLAGS="$LDFLAGS $LDFLAG_OPTIONS"
+#--------------------------------------------
+
+
+#GET THE SOURCE
+#--------------------------------------------
+for SRC in $(echo $LINK);do
+if [ ! -f $CWD/$(basename $SRC) ]
+then
+        wget --no-check-certificate -c $SRC
 fi
+done
+#--------------------------------------------
+
+
+rm -rf $PKG
+cd $TMP
+rm -rf $NAME-$VERSION
+
 
-# --- PACKAGE BUILDING ---
+#EXTRACT SOURCES
+#-----------------------------------------------------
+echo "Extracting source..."
+tar xvf $CWD/$NAME-$VERSION.source.tar.* || exit 1
+#this moves whatever was extracted to the std dirname we are expecting
+mv * $NAME-$VERSION &> /dev/null 2>&1
+mkdir -p $PKG
+#-----------------------------------------------------
 
-echo "++"
-echo "|| $PRGNAM-$VERSION"
-echo "++"
 
-cd $TMP/tmp-$PRGNAM
-echo "Extracting the source archive(s) for $PRGNAM..."
-tar -xvf ${SOURCE}
-cd mozilla-release
+cd $TMP/$NAME-$VERSION
+
+
+#PATCHES
+#-----------------------------------------------------
+# Put any Patches here *NOTE this only works if all 
+# your patches use the -p1 strip option!
+#-----------------------------------------------------
+#for i in $CWD/patches/*;do
+#  patch -p1 <$i
+#  mkdir -p $PKG/usr/doc/$NAME-$VERSION/patches/
+#  cp $i $PKG/usr/doc/$NAME-$VERSION/patches/
+#done
+#-----------------------------------------------------
+ 
+ 
+
+#SET PERMISSIONS
+#-----------------------------------------
+echo "Setting permissions..."
 chown -R root:root .
-chmod -R u+w,go+r-w,a+X-s .
-
-patch -p1 < $SRCDIR/xulrunner-13.0-fix_build_idl_parser.patch
-echo Building ...
-export LDFLAGS="$SLKLDFLAGS"
-export CXXFLAGS="$SLKCFLAGS"
-export CFLAGS="$SLKCFLAGS"
-./configure \
-  --prefix=/usr \
+find . -perm 664 -exec chmod 644 {} \;
+find . -perm 777 -exec chmod 755 {} \;
+find . -perm 2777 -exec chmod 755 {} \;
+find . -perm 775 -exec chmod 755 {} \;
+find . -perm 2755 -exec chmod 755 {} \;
+find . -perm 774 -exec chmod 644 {} \;
+find . -perm 666 -exec chmod 644 {} \;
+find . -perm 600 -exec chmod 644 {} \;
+find . -perm 444 -exec chmod 644 {} \;
+find . -perm 400 -exec chmod 644 {} \;
+find . -perm 440 -exec chmod 644 {} \;
+find . -perm 511 -exec chmod 755 {} \;
+find . -perm 711 -exec chmod 755 {} \;
+find . -perm 555 -exec chmod 755 {} \;
+#-----------------------------------------
+
+
+
+#CONFIGURE & MAKE
+#----------------------------------------------------------------------
+# If you are building a KDE-related app, then change the following
+# arguments in the script below:
+# --prefix=$(kde-config -prefix) \
+# --sysconfdir=/etc/kde \
+#
+# Making these changes will ensure that your package will build in the
+# correct path and that it will work seamlessly within the KDE environment.
+#
+#-----------------------------------------------------------------------
+
+echo "Configuring source..."
+./configure --prefix=/usr \
   --libdir=/usr/lib${LIBDIRSUFFIX} \
-  --mandir=/usr/man \
-  --localstatedir=/var \
+  --infodir=/usr/info \
   --sysconfdir=/etc \
-  --with-default-mozilla-five-home=/usr/lib${LIBDIRSUFFIX}/xulrunner-$VERSION \
-  --enable-application=xulrunner \
+  --localstatedir=/var \
+  --mandir=/usr/man \
   --enable-default-toolkit=cairo-gtk2 \
+  --enable-optimize="${CFLAGS}"  \
+  --enable-application=xulrunner \
   --enable-javaxpcom \
-  --enable-optimize="$CFLAGS" \
+  --enable-libxul \
   --enable-safe-browsing \
-  --enable-strip \
-  --enable-system-hunspell \
-  --enable-system-cairo \
+  --enable-image-encoders=all \
+  --enable-image-decoders=all \
   --enable-system-lcms \
+  --with-system-zlib \
+  --with-system-jpeg \
+  --with-system-bz2 \
+  --with-system-nss \
+  --with-system-nspr \
+  --enable-system-ffi \
+  --disable-system-sqlite \
   --disable-crashreporter \
   --disable-debug \
-  --disable-installer \
   --disable-mailnews \
-  --disable-mochitest \
-  --disable-pedantic \
-  --disable-tests \
-  --disable-updater \
-  --with-system-jpeg \
-  --with-system-zlib \
-  --with-system-bz2 \
-  --program-prefix= \
-  --program-suffix= \
-  --build=$ARCH-slackware-linux || exit 1
-#  2>&1 | tee $OUTPUT/configure-${PRGNAM}.log
-  # Slackware's sqlite is too old:
-  #--enable-system-sqlite \
-  # We use the nss/nspr of xulrunner instead, so that we can remove seamonkey:
-  #--with-system-nspr \
-  #--with-system-nss \
-
-make -j6 || make || exit 1 #make MOZ_MAKE_FLAGS="$NUMJOBS"
-make DESTDIR=$PKG install || exit 1 #2>&1 | tee $OUTPUT/install-${PRGNAM}.log
-
-# Make sure gre configuration files do not overwrite one another on multilib,
-# the filename is not important, all *.conf files in the directory are parsed:
-GECKOVERS=$(./config/milestone.pl --topsrcdir=.)
-mv $PKG/etc/gre.d/${GECKOVERS}.system.conf $PKG/etc/gre.d/gre${LIBDIRSUFFIX}.conf
-
-# Add missing xulrunner pkg-config files:
-( cd $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig
-  for FILE in gtkmozembed-embedding gtkmozembed js nspr nss plugin xpcom ; do
-    ln -sf mozilla-${FILE}.pc xulrunner-${FILE}.pc
-  done
-)
+  --disable-installer \
+  --disable-updater  \
+  --program-prefix="" \
+  --program-suffix="" \
+  --build=$CONFIGURE_TRIPLET \
+  $CONFIG_OPTIONS || exit 1
 
-# Add links to the dynamic libraries in the SDK directory:
-( cd $PKG/usr/lib${LIBDIRSUFFIX}/xulrunner-${VERSION}
-  for i in *.so; do
-    ln -sf /usr/lib${LIBDIRSUFFIX}/xulrunner-${VERSION}/$i $PKG/usr/lib${LIBDIRSUFFIX}/xulrunner-devel-${VERSION}/sdk/lib/$i
-  done
-)
+make || exit 1
 
-# Make symlinks to prevent version information from entering dependencies:
-( cd $PKG/usr/lib${LIBDIRSUFFIX}
-  ln -sf xulrunner-${VERSION} xulrunner
-  ln -sf xulrunner-devel-${VERSION} xulrunner-devel
-)
+make install DESTDIR=$PKG || exit 1
+
+
+#######################################################################
+#Miscellenious tweaks and things outside a normal ./configure go here #
+#######################################################################
+
+
+
+mkdir -p $PKG/usr/doc/$NAME-$VERSION
+cp -a LICENSE LEGAL README.txt $PKG/usr/doc/$NAME-$VERSION
+cat $CWD/$NAME.SlackBuild > $PKG/usr/doc/$NAME-$VERSION/$NAME.SlackBuild
+
+#----------------------------------------------------------------------
+
+if [ -d $PKG/usr/share/man ];then
+mkdir -p $PKG/usr/man
+mv $PKG/usr/share/man/* $PKG/usr/man
+rm -rf $PKG/usr/share/man
+fi
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+if [ -d $PKG/usr/share/info ];then
+mkdir -p $PKG/usr/info
+mv $PKG/usr/share/info/* $PKG/usr/info
+rm -rf $PKG/usr/share/info
+fi 
+find $PKG/usr/info -type f -exec gzip -9 {} \;
 
-# Add the following to doinst.sh:
 mkdir -p $PKG/install
-cat <<EOT >> $PKG/install/doinst.sh
-# Ensure that xulrunner libraries are found by applications that need them
-# (this way you can remove seamonkey completely):
-if ! grep -q /usr/lib${LIBDIRSUFFIX}/xulrunner etc/ld.so.conf ; then
-  echo "/usr/lib${LIBDIRSUFFIX}/xulrunner" >> etc/ld.so.conf
+if [ -d $PKG/usr/info ];then
+cat >> $PKG/install/doinst.sh << EOF
+CWD=\$(pwd)
+cd usr/info
+if [ -f dir ];then
+    rm dir
 fi
-EOT
-
-# Add documentation:
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION || true
-cat $SRCDIR/$(basename $0) > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-chown -R root:root $PKG/usr/doc/$PRGNAM-$VERSION
-find $PKG/usr/doc -type f -exec chmod 644 {} \;
-
-# Compress the man page(s):
-if [ -d $PKG/usr/man ]; then
-  find $PKG/usr/man -type f -name "*.?" -exec gzip -9f {} \;
-  for i in $(find $PKG/usr/man -type l -name "*.?") ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+if [ -f dir.gz ];then
+    rm dir.gz
+fi
+for i in *.info.gz;do
+    install-info \$i dir
+done
+cd \$CWD
+EOF
 fi
 
-# Add a package description:
-mkdir -p $PKG/install
-cat $SRCDIR/slack-desc > $PKG/install/slack-desc
-cat $SRCDIR/slack-desc > $OUTPUT/slack-desc
+# Add schemas install to the doinst.sh if schemas are found.
+if [ -d $PKG/etc/gconf/schemas ];then
+# Make sure we have gconftool installed
+echo "if [ -x usr/bin/gconftool-2 ]; then" >> $PKG/install/doinst.sh
+( cd $PKG/etc/gconf/schemas
+for schema in *.schemas; do
+ # Install schemas
+ echo "GCONF_CONFIG_SOURCE=\"xml::etc/gconf/gconf.xml.defaults\" \
+   usr/bin/gconftool-2 --makefile-install-rule \
+   etc/gconf/schemas/${schema} >/dev/null 2>&1" \
+   >> $PKG/install/doinst.sh
+done;
+)
+# Finish off gconf block
+echo "fi" >> $PKG/install/doinst.sh
+fi
+
+cat >> $PKG/install/doinst.sh << EOF
+# update rarian database
+if [ -x usr/bin/rarian-sk-update ]; then
+  usr/bin/rarian-sk-update 1> /dev/null 2> /dev/null
+fi
+
+# update mime database
+if [ -x usr/bin/update-mime-database ]; then
+  usr/bin/update-mime-database usr/share/mime 1> /dev/null 2> /dev/null
+fi
+
+# update desktop entries
+if [ -x usr/bin/update-desktop-database ]; then
+  usr/bin/update-desktop-database 1> /dev/null 2> /dev/null
+fi
+
+# update hicolor icons
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+	rm -f usr/share/icons/hicolor/icon-theme.cache
+fi
+usr/bin/gtk-update-icon-cache -f -q usr/share/icons/hicolor 1>/dev/null 2>/dev/null
 
-# Build the package:
+if [ -x /usr/bin/glib-compile-schemas ]; then
+  /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas/ >/dev/null 2>&1
+fi
+
+# Restart gconfd-2 if running to reload new gconf settings
+if ps acx | grep -q gconfd-2 ; then
+        killall -HUP gconfd-2 ;
+fi
+
+# A good idea whenever kernel modules are added or changed:
+if [ -x sbin/depmod ]; then
+  /sbin/depmod -a 1> /dev/null 2> /dev/null
+fi
+EOF
+
+#if there is a slack-desc in src dir use it
+if test -f $CWD/slack-desc; then
+cp $CWD/slack-desc $RELEASEDIR/slack-desc
+else
+# This creates the white space in front of "handy-ruler" in slack-desc below.
+
+LENGTH=$(expr length "$NAME")
+SPACES=0
+SHIM=""
+until [ "$SPACES" = "$LENGTH" ]; do
+SHIM="$SHIM "
+let SPACES=$SPACES+1
+done
+
+# Fill in the package summary between the () below.
+# Then package the description, License, Author and Website.
+# There may be no more then 11 $NAME: lines in a valid slack-desc.
+
+cat > $RELEASEDIR/slack-desc << EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.  Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in.  You must
+# make exactly 11 lines for the formatting to be correct.  It's also
+# customary to leave one space after the ':'.
+
+$SHIM|-----handy-ruler------------------------------------------------------|
+$NAME: $NAME (XULRunner provides the XUL Runtime environment)
+$NAME:
+$NAME: The XULRunner project is a Mozilla runtime package that can be used
+$NAME: to bootstrap XUL+XPCOM applications that are as rich as Thunderbird
+$NAME: and Firefox. It will provide mechanisms for installing, upgrading,
+$NAME: and uninstalling these applications. XULRunner will also provide
+$NAME: libxul, a solution which allows the embedding of Mozilla technologies
+$NAME: in other projects and products.
+$NAME:
+$NAME: License: CUSTOM
+$NAME: Authors: http://developer.mozilla.org/en/XULRunner
+$NAME: Website: http://developer.mozilla.org/en/XULRunner
+
+EOF
+fi
+cat >> $RELEASEDIR/slack-desc << EOF
+
+
+
+#----------------------------------------
+BUILDDATE: $(date)
+PACKAGER:  $VL_PACKAGER
+HOST:      $(uname -srm)
+DISTRO:    $(cat /etc/vector-version)
+CFLAGS:    $CFLAGS
+LDFLAGS:   $LDFLAGS
+CONFIGURE: $(awk "/\\$\ \.\/configure\ /" $TMP/$DIRNAME/config.log)
+
+EOF
+
+cat $RELEASEDIR/slack-desc > $PKG/install/slack-desc
+
+#STRIPPING
+#------------------------------------------------------------------------------------------------------------------
 cd $PKG
-ADD="$ADDRB" EXCLUDE="$EXRB" requiredbuilder -v -y -s $OUTPUT $PKG
+echo " "
+echo "Stripping...."
+echo " "
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+#------------------------------------------------------------------------------------------------------------------
+
+
+#FINISH PACKAGE
+#--------------------------------------------------------------
+echo "Finding dependencies..."
+ADD="$ADDRB" EXCLUDE="$EXRB" requiredbuilder -v -y -s $RELEASEDIR $PKG
 echo "Creating package $NAME-$VERSION-$ARCH-$BUILD.txz"
-makepkg --linkadd y --chown n $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.txz || exit 1
+makepkg -l y -c n $RELEASEDIR/$NAME-$VERSION-$ARCH-$BUILD.txz
 
-# Restore the original umask:
-umask ${_UMASK_}
+cd $CWD
+echo "Cleaning up temp files..." && rm -rf $TMP
+echo "Package Complete"
 fi
+#--------------------------------------------------------------
+
+# vim: set tabstop=4 shiftwidth=4 foldmethod=marker : ##